Subject: [dhcwg] RFC 3315: DHCPv6 server unicast address

From: "Jean-Michel COMBES" <[email-masked]>
Date: Mon, 9 May 2005 17:29:16 +0200

Hi,

The RFC 3315 says in: 

Section 18.1, p39
"If the client has a source address of sufficient scope that can be used by
the server as a return address, and the client has received a Server Unicast
option (section 22.12) from the server, the client SHOULD unicast any
Request, Renew, Release and Decline messages to the server."

And

Annex A, p98
The Server Unicast is only allowed in the REPLY Message

So, my question is:

If for example, we assume that the DHCPv6 Client has got the DHCPv6 Server's
unicast address from a DNS, why the DHCPv6 Client will not be able to use
the DHCPv6 Server's unicast address until to receive the Unicast Option (bad
case, 4 messages before to be allowed to use it:
SOLICIT->ADVERTISE->REQUEST->REPLY)?

Thanks for your help.

Regards.

JMC.

France Telecom - R&D Division - MAPS/NSS   
Jean-Michel COMBES, Internet/Intranet Security
E-Mail: [email-masked]
Phone: +33 (0)1 45 29 45 94
Fax: +33 (0)1 45 29 65 19
Mobile: +33 (0)6 07 29 30 16 

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: Ted Lemon <[email-masked]>
Date: Mon, 9 May 2005 08:59:00 -0700

> If for example, we assume that the DHCPv6 Client has got the DHCPv6  

We don't assume that!   The DHCP client gets the DHCPv6 server's IP  
address by exchanging packets with it.   There's no provision in the  
protocol for a way to look the DHCPv6 server's IP address up in the DNS.

---

From: "Jean-Michel COMBES" <[email-masked]>
Date: Mon, 9 May 2005 18:17:23 +0200

> -----Original Message-----
> From: Ted Lemon [mailto:[email-masked]] 
> Sent: Monday, May 09, 2005 5:59 PM
> To: COMBES Jean-Michel RD-MAPS
> Cc: [email-masked]
> Subject: Re: [dhcwg] RFC 3315: DHCPv6 server unicast address
> 
> 
> > If for example, we assume that the DHCPv6 Client has got 
> the DHCPv6  
> > Server's
> >
> 

Is it a MUST? If so, where is such a reference?

JMC.